<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes" encoding="ISO-8859-1" />
<xsl:template match="book"> <html>
 <head><xsl:apply-templates select="bookinfo"/></head>
 <body><h1><xsl:value-of select="bookinfo/title" /></h1>
 <p style="text-indent:1em;"><xsl:value-of select="bookinfo/author/firstname" />
 <xsl:text> </xsl:text><xsl:value-of select="bookinfo/author/surname" /> 
 &#169;   <xsl:value-of select="bookinfo/copyright/year" />
 </p><h2>Table des matires</h2>
  <ul><xsl:apply-templates select="chapter" mode="tdm"/></ul>
  <xsl:apply-templates select="chapter"/>  
  </body></html>
</xsl:template>
<xsl:template match="bookinfo">
  <title><xsl:value-of select="title" /> 
  par <xsl:value-of select="author/firstname" /><xsl:text> 
  </xsl:text><xsl:value-of select="author/surname" /> 
  </title>
</xsl:template>
<xsl:template match="chapter" mode="tdm">
  <li><a href="#{generate-id(.)}"><xsl:number format="digit" lang="fr" count="chapter"/>. 
  <xsl:value-of select="title" /></a></li>
  <ul><xsl:apply-templates select="section" mode="tdm"/></ul>
</xsl:template>
<xsl:template match="section" mode="tdm">
  <li><a href="#{generate-id(.)}"><xsl:number format="digit" lang="fr" count="chapter"/>.
  <xsl:number format="digit" lang="fr" count="section"/><xsl:text> </xsl:text>
  <xsl:value-of select="title" /></a></li>
</xsl:template>
<xsl:template match="chapter">
  <h2><a name="{generate-id(.)}" >Chapitre <xsl:number format="digit" lang="fr" 
  count="chapter"/>.<xsl:text> </xsl:text><xsl:value-of select="title" /></a></h2> 
  <div style="margin-left:1em"><xsl:apply-templates select="section"/> </div>
</xsl:template>
<xsl:template match="section">
  <h3><a name="{generate-id(.)}"><xsl:number format="digit" lang="fr" count="chapter"/>.
  <xsl:number format="digit" lang="fr" count="section"/><xsl:text> </xsl:text>
  <xsl:value-of select="title" /></a></h3> 
  <div style="margin-left:1em">
  <xsl:apply-templates/>
  </div>
</xsl:template>
<xsl:template match="itemizedlist">
 <ul  style="margin-left:1em"><xsl:apply-templates /></ul>
</xsl:template>
<xsl:template match="orderedlist">
 <ol  style="margin-left:1em"><xsl:apply-templates /></ol>
</xsl:template>
<xsl:template match="listitem">
 <li style="text-indent:0.5em"><xsl:apply-templates /></li>
</xsl:template>
<xsl:template match="programlisting">
 <pre style="color:blue;background-color:rgb(200,200,200); margin-left:1em"><code>
  <xsl:apply-templates />
 </code></pre>
</xsl:template>
<xsl:template match="para">
 <xsl:choose>
   <xsl:when test="name(..) = 'listitem'"><xsl:apply-templates /></xsl:when>
   <xsl:otherwise><p><xsl:apply-templates /></p></xsl:otherwise>
 </xsl:choose>
</xsl:template>
<xsl:template match="title" />
</xsl:stylesheet>